com.tibbo.aggregate.common.security

## Class RoleRule

- java.lang.Object
- - com.tibbo.aggregate.common.security.RoleRule

- All Implemented Interfaces:
    java.lang.Cloneable

      public class RoleRule
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRuleException(int entityType, java.lang.String entity)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getContextType()`
    `java.lang.String` | `getEntity()`
    `int` | `getEntityType()`
    `int` | `getPermission()`
    `java.util.HashSet<RoleEntity>` | `getRuleExceptions()`
    `int` | `hashCode()`
    `void` | `setContextType(java.lang.String contextType)`
    `void` | `setEntity(java.lang.String entity)`
    `void` | `setEntityType(int entityType)`
    `void` | `setPermission(int permission)`
    `void` | `setRuleExceptions(java.util.HashSet<RoleEntity> ruleExceptions)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleRule

          public RoleRule()

  - ### Method Detail

    - #### getContextType

          public java.lang.String getContextType()

    - #### setContextType

          public void setContextType(java.lang.String contextType)

    - #### getEntityType

          public int getEntityType()

    - #### setEntityType

          public void setEntityType(int entityType)

    - #### getEntity

          public java.lang.String getEntity()

    - #### setEntity

          public void setEntity(java.lang.String entity)

    - #### getPermission

          public int getPermission()

    - #### setPermission

          public void setPermission(int permission)

    - #### getRuleExceptions

          public java.util.HashSet<RoleEntity> getRuleExceptions()

    - #### setRuleExceptions

          public void setRuleExceptions(java.util.HashSet<RoleEntity> ruleExceptions)

    - #### addRuleException

          public void addRuleException(int entityType,
                                       java.lang.String entity)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`